<?php
    if (
        $model->SOL_IDMOTIVO != 151 &&
        !$model->Cliente->isAllowed(false) &&
        !$model->userCanViewPendenciaOriginal() &&
        !(User::getPrivilegio() == 14 && !User::deRevenda())
    ) {
        $this->renderPartial('_basic_view', array('model' => $model));
        return;
    }

    if (in_array(User::getPrivilegio(), array(1, 3, 6, 12))) {
        $botoes = (User::canUpdate()) ? '{update}' : '';
    } else {
        $botoes = (User::canUpdate() and User::isAdmin()) ? '{update}' : '';
    }

    if (User::isAdmin()) {
        $botoes .= ' {delete}';
    }

    $this->renderPartial('_cabecalho', array('model' => $model));

    if($model->temPrivilegioLancarFases()) {
        function linkPendencia($pen) {
            return '<a href="'.Yii::app()->createUrl('solicitacoes/view',
                                                     array('id' =>$pen->SOL_IDPENDENCIA)).
                                                           '" target="_blank">'.$pen->SOL_IDPENDENCIA.'</a>';
        }
        $outras = $model->estaTrabalhandoOutraPendencia();
        if($outras) {
            $links = array();
            $text = 'Você já está trabalhando na pendência ';
            if(count($outras) > 1) {
                $text = 'Você já está trabalhando nas pendências ';
            }
            foreach ($outras as $outra) {
                $links[] = linkPendencia($outra);
            }
            if($model->estaTrabalhandoNestaPendencia()) {
                $text = str_replace('já', 'também', $text);
            }
            echo FaHtml::alert($text.implode(', ', $links).' !', 'info');
        } elseif ($outroUsuario = $model->pendenciaEmProducaoOutroUsuario()) {
            echo FaHtml::alert("{$outroUsuario} está trabalhando nesta pendência!", 'important', false, false);
        } else if(!$model->estaTrabalhandoEmPendencia()) {
            echo FaHtml::alert('Você não está trabalhando em nenhuma pendência!', 'important', false, false);
        }/* if($model->estaTrabalhandoNestaPendencia()) {
            echo FaHtml::alert('Você está trabalhando nesta pendência!', 'success');
        }*/
    }

    $usuarios_revenda = array($model->SOL_IDFUNCIONARIO, $model->SOL_IDSUPERVISOR, $model->SOL_IDTECNICORESPONSAVEL);
    $usuarios_extras = array(4, 14, 9); 
    if($model->SOL_APROV_CUSTOMIZACAO == Solicitacoes::CUSTOMIZACAO_APROVACAO_PENDENTE) {
        $link_criacao_atividade = '';
        if(in_array(User::getId(), $usuarios_revenda) || in_array(User::getPrivilegio(), $usuarios_extras)) {
            $link_criacao_atividade = CHtml::link('<b>Verificar pendência agora?</b>',
               array('solicitacoesAtividades/create', 'SAT_IDSOLICITACAO' => $model->SOL_IDPENDENCIA),
               array('id' => 'adicionar-atividade'));
        }
        echo FaHtml::alert('Esta pendência pode ser realizada mediante customização, favor aprovar a mesma 
            para que o motivo seja alterado para customização.<br /><br />'.
            $link_criacao_atividade, 'danger');
    }
    

    if($model->podeAprovarPendencia()) {

        if($model->SOL_APROVADA_PRE_ANALISE == Solicitacoes::APROV_CORRECOES_REALIZADAS) {
            echo FaHtml::alert('Cadastro da pendência revisado pela revenda, aguardando validação!<br /><br />'.
                               CHtml::link('<b>Validar a pendência agora?</b>',
                               array('solicitacoes/validar', 'id' => $model->SOL_IDPENDENCIA),
                               array('id' => 'validar-pendencia')), 'info');

        } else {

            echo FaHtml::alert('Pendência ainda não aprovada pela pré-análise!<br /><br />'.
                               CHtml::link('<b>Validar a pendência agora?</b>',
                               array('solicitacoes/validar', 'id' => $model->SOL_IDPENDENCIA),
                               array('id' => 'validar-pendencia')), 'info');
        }
    }

    if ($model->podeCompletarPendenciaRascunho()) {
        echo FaHtml::alert('Pendência aguardando dados complementares!<br /><br />'.
                               CHtml::link('<b>Editar pendência agora?</b>',
                               array('solicitacoes/update', 'id' => $model->SOL_IDPENDENCIA),
                               array('id' => 'completar-pendencia')), 'info');
    }

    $this->renderPartial('_view', array('model' => $model, 'hide_horas' => (!in_array(User::getPrivilegio(), array(1,6,7,12,15,20)) && !$model->podeEditarPrevisoes())));
?>
<?php // Desenvolvedor || Analista de Negócios || Suporte Revenda || Analista de Sistemas || Tester || Gerente Suporte Revendas ?>
    <?php if (in_array(User::getPrivilegio(), array(1, 2, 3, 5, 6, 12, 15, 20))
              && EspecificacaoFuncional::model()->count('ESP_IDSOLICITACAO = '. $model->SOL_IDPENDENCIA) > 0) { ?>
        <div class="div-atividades no-print" id="especificacoes">
            <h1 class="novo-layout">Especificação Funcional</h1>
            <?php
                $botoes = '{PDF} ' . $botoes;
                if (in_array(User::getPrivilegio(), array(1, 3, 6, 12))) {
                    $botoes = '{atividade} ' . $botoes;
                }
                $criteria = new CDbCriteria();
                $criteria->compare('ESP_IDSOLICITACAO', $model->SOL_IDPENDENCIA);
                $dataProvider = new CActiveDataProvider('EspecificacaoFuncional', array(
                    'criteria' => $criteria,
                    'sort' => array(
                        'defaultOrder' => 'ESP_IDESPECIFICACAO DESC',
                    ),
                ));
                $this->widget('zii.widgets.CListView', array(
                    'dataProvider' => $dataProvider,
                    'itemView' => '../especificacaoFuncional/_view'
                ));
            ?>
        </div>
    <?php } ?>

<div class="clearfix"></div>

    <?php if($model->enableToggleEstimativas() && ($model->hasEstimativas() || $model->hasPlanejamento())) { ?>
        <div class="link-commits-container">
            <a href="<?= Yii::app()->createUrl('solicitacoes/view', array('id'=>$model->SOL_IDPENDENCIA, 'mostrar_estimativas'=>($model->mostrarEstimativas() ? 0 : 1).'#especificacoes')); ?>" class="btn btn-default pull-center link-commits">
                <i class="fa fa-<?= $model->mostrarEstimativas() ? 'compress' : 'expand'; ?>"></i> Planejamento/Estimativas
            </a>
        </div>
    <?php } ?>

    <?php if($model->podeVerPlanejamento()) { ?>
        <?php $this->renderPartial('_estimativas_planejamento', array('model' => $model)); ?>
    <?php } ?>

<div class="clearfix"></div>

    <div class="div-atividades">
        <?php
            $mostrarAtendimentos = $model->podeMostrarAtendimentos();
            $mostrarScriptsVinculados = $model->podeMostrarScripts();
        ?>
        <ul class="nav nav-tabs" role="tablist">
            <li role="presentation" class="active">
                <a href="#historicoAtividades" aria-controls="historicoAtividades" role="tab" data-toggle="tab">
                    Histórico de Atividades
                </a>
            </li>
            <?php if ($mostrarAtendimentos) { ?>
                <li role="presentation">
                    <a href="#atendimentosVinculados" aria-controls="atendimentosVinculados" role="tab" data-toggle="tab">
                        Atendimentos Vinculados
                    </a>
                </li>
            <?php } ?>
            <?php if ($mostrarScriptsVinculados) { ?>
                <li role="presentation">
                    <a href="#scriptsVinculados" aria-controls="scriptsVinculados" role="tab" data-toggle="tab">
                        Scripts (<span id="countScripts"><?= count($model->ScriptsAtivos); ?></span>)
                    </a>
                </li>
            <?php } ?>
        </ul>
        <div class="tab-content">
            <div role="tabpanel" class="tab-pane fade in active" id="historicoAtividades">
                <?php if ($model->podeAdicionarAtividade()) { ?>
                    <a href="<?= Yii::app()->createUrl('solicitacoesAtividades/create',
                                                        array('SAT_IDSOLICITACAO'=>$model->SOL_IDPENDENCIA)); ?>"
                       class="btn btn-success pull-right" id="adicionar-atividade">
                        Adicionar Nova
                    </a>
                <?php } ?>
                <?php
                    $criteria = new CDbCriteria();
                    $criteria->compare('SAT_IDSOLICITACAO', $model->SOL_IDPENDENCIA);

                    $dataProvider = new CActiveDataProvider('SolicitacoesAtividades', array(
                        'criteria' => $criteria,
                        'sort' => array(
                            'defaultOrder' => 'SAT_DATACADASTRO DESC, SAT_IDATIVIDADE DESC',
                        ),
                        'pagination'=>false,
                    ));

                    $this->widget('zii.widgets.CListView', array(
                        'dataProvider' => $dataProvider,
                        'itemView' => '../solicitacoesAtividades/_view'
                    ));
                ?>
            </div>
            <?php if ($mostrarAtendimentos) { ?>
                <div role="tabpanel" class="tab-pane fade" id="atendimentosVinculados">
                    <?php
                        $criteria = new CDbCriteria();
                        $criteria->compare('ATD_IDPENDENCIA', $model->SOL_IDPENDENCIA);

                        $dataProvider = new CActiveDataProvider('Atendimentos', array(
                            'criteria' => $criteria,
                            'sort' => array(
                                'defaultOrder' => 'ATD_DTCADASTRO DESC, ATD_HORAINICIO DESC, ATD_IDATENDIMENTO DESC',
                            ),
                            'pagination'=>false,
                        ));

                        $this->widget('zii.widgets.CListView', array(
                            'dataProvider' => $dataProvider,
                            'itemView' => "_view_atendimento",
                            'template'=>"{summary}{pager}{items}\n{summary}{pager}",
                        ));
                    ?>
                </div>
            <?php } ?>
            <?php if ($mostrarScriptsVinculados) { ?>
                <div role="tabpanel" class="tab-pane fade" id="scriptsVinculados">
                    <?php $this->renderPartial('_scripts_admin', array('model' => $model)); ?>
                </div>
            <?php } ?>
        </div>
    </div>

<?php
if ($model->podeDefinirPrioridade()) {
    if ($model->SOL_PENDENCIA_PRIORITARIA == 0) {
        $icon = "fa fa-flag";
        $title = "Definir pendência como prioritária";
        $confirmMsg = "Tem certeza que deseja definir essa pendência como prioritária?";
    } else {
        $icon = "fa fa-flag-o";
        $title = "Remover prioridade da pendência";
        $confirmMsg = "Tem certeza que deseja remover a prioridade dessa pendência?";
    }
    echo CHtml::link(
        "<i class=\"{$icon}\" aria-hidden=\"true\"></i>",
        Yii::app()->createUrl("solicitacoes/definirPrioridade", array("id"=>$model->SOL_IDPENDENCIA)),
        array(
            'class'          => 'btn btn-danger',
            'id'             => 'definirPendenciaPrioritaria',
            'data-toggle'    => 'tooltip',
            'data-placement' => 'left',
            'title'          => $title,
            'confirm'        => $confirmMsg,
        )
    );
}

$cs = Yii::app()->getClientScript();
$css = <<<CSS
    .toggleAvaliacaoPreAnalise{
        padding-top: 10px;
    }
    .avaliacaoPreAnalise {
        width: 100%;
        margin-top: 20px;
    }
    #definirPendenciaPrioritaria {
        position: fixed;
        right: 10px;
        bottom: 10px;
        padding: 16px;
        font-size: 20px;
        border-radius: 50%;
    }
    #definirPendenciaPrioritaria > i {
        margin: 0 !important;
    }
    .div-atividades > .nav-tabs > li.active > a {
        font-size: 18px;
        color: #3e749c;
        background-color: transparent;
    }
CSS;

$cs->registerCss('view_solicitacoes_css', $css);